Add-ons/Disable Thunderbird and SeaMonkey Compatibility

From MozillaWiki
< Add-ons
Revision as of 17:51, 8 November 2017 by Jorge.villalobos (talk | contribs) (Compat removal instructions for mass dev communication)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Legacy add-on listings on AMO (addons.mozilla.org) can be compatible with multiple applications, like Firefox, Thunderbird, and SeaMonkey. In order to disable compatibility with Thunderbird and SeaMonkey for your add-on, follow these steps:

  1. Go to the Developer Hub.
  2. Click on "Edit Information" for your add-on.
  3. Then click on "Manage Status & Versions" on the sidebar menu.
  4. For each version listed on that page:
    1. Click on its link to go to its details page.
    2. In the Compatibility section, remove Thunderbird and SeaMonkey compatibility by clicking on the X to the right, and then click on Save Changes at the bottom of the page.

Once all versions have been cleared of Thunderbird and SeaMonkey compatibility, your add-on should no longer be considered compatible with those applications by AMO. The files can still be installed on those applications if the users choose to.